/* selection */
::selection {
    background-color: var(--color-standard) !important;
}
::-moz-selection {
    background-color: var(--color-standard) !important;
}

/* colors */
:root {
    --color-gray-background: #ebebeb;
    --color-text-standard: #1e1e1e;
}

/* fonts */
@font-face {
    font-family: 'Albertus';
    src: url('../fonts/Albertus.ttf');
}
@font-face {
    font-family: 'Janson';
    src: url('../fonts/JansonSSi.ttf');
}
body h1, body h2, body h3, body h4, body h5, body h6,
body .page-title-wrap h1.page-title {
    font-family: 'Georgia';
}
body .dialog-off-canvas-main-canvas,
body .dialog-off-canvas-main-canvas .region-primary-menu .menu {
    font-family: 'Lato', Helvetica Neue, Arial, Sans-serif;
}
body .dialog-off-canvas-main-canvas .region-primary-menu .menu {
    font-size: 17px;
    line-height: 1.7;
}
body .dialog-off-canvas-main-canvas {
    font-size: 16px;
}

/* sticky footer with stretching main wrapper */
.dialog-off-canvas-main-canvas {
    display: flex;
    min-height: 100vh;
    flex-direction: column;
    justify-content: space-between;
}
.dialog-off-canvas-main-canvas #main-wrapper {
    flex-grow: 1;
}

/* main section styles */
div#main-wrapper, div#main-wrapper main#main {
    background: #fff;
}

/* mobile menu */
body.user-logged-in .primary-menu-wrapper.active-menu .menu-wrap {
    margin-top: 39px;
}
.primary-menu-wrapper .menu-wrap .close-mobile-menu {
    border: 2px solid var(--color-standard);
}

/* hide header top */
/* header > .header-top {
    display: none;
} */

/* container widths for using parallax image backgrounds on front page */
body.frontpage .main-wrapper {
    padding: 1rem 0 0;
}

body.frontpage .main-wrapper .container {
    max-width: 100%;
    padding: 0;
}
// body.frontpage .main-wrapper .container .block {
//     padding-left: 30px;
//     padding-right: 30px;
// }
body.frontpage .container .block-content,
body.frontpage .container .block-title {
    max-width: 1170px;
    margin: auto;
}

/* menu */
.menu-item-has-children::after {
    display: none;
}
.main-menu.menu li > a,
.main-menu.menu li > span,
.full-page-search .search-icon i {
    color: #ffffff;
}
.full-page-search .search-icon {
    border-left: none;
}
li.menu-item.main-menu-item.menu-item-level-1 {
    text-transform: uppercase;
    /* Prevent selecting the text (and showing the text select cursor) while hovering over main menu items */
    user-select: none;
    -webkit-user-select: none;
}
li.menu-item.main-menu-item.menu-item-level-1 ul {
    text-transform: none;
}
@media (min-width: 768px) {
    .block-region.region-primary-menu .submenu,
    .block-region.region-primary-menu .menu-item-level-1:hover,
    .block-region.region-primary-menu .menu-item-level-1 a:hover, 
    .block-region.region-primary-menu .menu-item-level-1 > span:hover {
        background-color:  var(--color-standard-dark);
    }
    .block-region.region-primary-menu .submenu a:hover {
        color: #ffffff;
    }
    .block-region.region-primary-menu .submenu .submenu {
        left: unset;
        right: 100%;
        top: 0;
    }
}

/* footer */
footer#footer {
    color: #ffffff;
    position: relative;
    font-size: 14px;
    border-top: 0;
}
footer#footer .footer {
    background:  var(--color-standard);
    padding: 30px 0 0;
}
footer#footer .sub-footer {
    background:  var(--color-standard-dark);
    padding: 20px 0 25px;
}
footer#footer a:not(.contextual-links a) {
    color: #ffffff;
}
footer#footer a:not(.contextual-links a):not(.social-icons li a):hover {
    text-decoration: underline;
}
footer#footer a:hover {
    text-decoration: none;
}
footer#footer .social-icons li a {
    color:  var(--color-standard);
    text-decoration: none;
}
footer#footer .social-icons a:hover {
    color: #ffffff;
    background-color:  var(--color-standard);
}
footer#footer section.footer-bottom-middle {
    border-top: none;
}
footer#footer h2.block-title {
    border-left: none;
    padding-left: 0;
    color: white;
    text-transform: uppercase;
    font-size: 16px;
}

/* links */
a:not(.css-button a, a.css-button),
.full-width-container a {
    color:  var(--color-standard);
}
a strong {
    color:  var(--color-standard) !important;
}
.css-button {
    text-align: center;
    margin-bottom: 0;
}
.css-button > a, a.css-button {
    /* box-shadow: 0 0 25px #fff; */
    background-color:  var(--color-standard);
    color: #fff;
    border-radius: 10px;
    padding: 5px 10px;
    border: 2px solid  var(--color-standard);
    display: inline-block;
}
.css-button > a:hover, a.css-button:hover {
    background-color: #ffffff;
    color:  var(--color-standard);
    border: 2px solid  var(--color-standard);
}
.view-footer .css-button {
    position: relative;
    top: -10px;
}

/* top-menu donation link */
.block-region.region-primary-menu .menu-item-level-1:has(a[title='Donation']):hover {
    background-color: transparent;
}
li.menu-item.main-menu-item.menu-item-level-1 > a[title='Donation'] {
    background: white;
    color: var(--color-standard);
    border-radius: 10px;
    padding: 0.25rem 0.5rem 0.15rem;
    margin: 0.25rem 0;
}
li.menu-item.main-menu-item.menu-item-level-1 > a[title='Donation']:hover {
    background: red;
    color: white;
}

/* 3-wide, 4-wide teaser views */
main#main:has(.block-content > .views-element-container > .three-wide-teaser-view),
main#main:has(.block-content > .views-element-container > .four-wide-teaser-view),
main#main:has(.block-content > .views-element-container > .six-wide-teaser-view) {
    .block-region.region-content, .block-region.region-content-top {
        h1.page-title {
            padding-bottom: 15px;
            text-align: center;
        }
    }
}
.views-element-container.block:has(.three-wide-teaser-view),
.views-element-container.block:has(.four-wide-teaser-view),
.views-element-container.block:has(.six-wide-teaser-view) {
    .block-title, 
    .block-content {
        padding-top: 10px;
        padding-bottom: 5px;
        background-color: #ebebeb;
    }
    h2.block-title::after {
        background:  var(--color-standard);
    }
}
.views-element-container.block:has(.three-wide-teaser-view.rounded-corners),
.views-element-container.block:has(.four-wide-teaser-view.rounded-corners),
.views-element-container.block:has(.six-wide-teaser-view.rounded-corners) {
    .block-title {
        border-radius: 10px 10px 0 0;
    }
    .block-content {
        border-radius: 0 0 10px 10px;
    }
}

.views-element-container.block:has(.three-wide-teaser-view.legacy-title),
.views-element-container.block:has(.four-wide-teaser-view.legacy-title),
.views-element-container.block:has(.six-wide-teaser-view.legacy-title) {
    .block-title {
        text-align: left;
        text-transform: uppercase;
        padding-left: 25px;
        padding-top: 25px;
    }
    h2.block-title::after {
        display: none;
    }
}
.views-element-container.block:has(.three-wide-teaser-view.minimal-title),
.views-element-container.block:has(.four-wide-teaser-view.minimal-title),
.views-element-container.block:has(.six-wide-teaser-view.minimal-title) {
    .block-title {
        text-align: left;
        padding: 20px 0 5px 20px;
    }
    .block-title, .block-content .view-footer .css-button a {
        font-size: 22px;
        font-weight: bold;
    }
    h2.block-title::after {
        display: none;
    }
    .block-content {
        .view-footer {
            position: absolute;
            top: 0;
            right: 0;
            .css-button {
                position: relative;
                top: -50px;
                right: 15px;
                a {
                    background-color: transparent;
                    border: none;
                    /* color: var(--color-standard); */
                    color: #ffffff;
                    font-weight: normal;
                    &:hover {
                        background-color: transparent;
                        border: none;
                        color: #ffffff;
                        text-decoration: underline;
                    }
                    &:after {
                        display: inline-block;
                        content: "❯";
                        padding: 0 5px;
                    }
                }
            }
        }
    }
}

@media (max-width: 799px) {
    .views-element-container.block:has(.three-wide-teaser-view.minimal-title),
    .views-element-container.block:has(.four-wide-teaser-view.minimal-title),
    .views-element-container.block:has(.six-wide-teaser-view.minimal-title) {
        .block-title, .block-content .view-footer .css-button a {
            font-size: 18px;
            font-weight: 400;
        }
    }
}

.three-wide-teaser-view,
.four-wide-teaser-view,
.six-wide-teaser-view {
    position: relative;
    .slick__slider {
        margin: 0 15px 20px;
    }
    .node-taxonomy-container {
        border-top: none;
        padding: 0;
        margin: 0;
    }
    .field--name-field-episode .field__label {
        font-weight: normal;
    }
    .view-footer {
        height: 0;
        margin-top: 0;
    }
    .views-view-responsive-grid {
        display: flex;
        flex-wrap: wrap;
        flex-direction: row;
        justify-content: center;
    }
    .views-view-responsive-grid__item,
    .slick__slide {
        margin-bottom: 20px;
        .field.field-item {
            margin-bottom: 0;
        }
        .field.field-item.field--name-node-title,
        .field.field--name-dynamic-token-fieldnode-linked-title {
            margin-bottom: 10px;
        }
        .field.field-item.field--name-node-title h3,
        .field.field--name-dynamic-token-fieldnode-linked-title h3 {
            font-size: 19px;
            line-height: normal;
            margin-bottom: 0;
        }
        .field.field-item.field--name-node-post-date {
            font-style: italic;
            font-weight: bold;
        }
        .field.field-item.field--name-body {
            display: -webkit-box;
            -webkit-box-orient: vertical;
            -webkit-line-clamp: 3;
            line-clamp: 3;
            overflow: hidden;
        }
        .field--name-field-video {
            margin: 0;
            padding: 0;
            border-top: none;
        }
        &:not(:has(img)):before {
            display: block;
            content: "";
            margin-bottom: 1rem;
            background: #e8e8e8;
            background: var(--color-dark-primary);
            border-radius: 5px;
            box-shadow: rgba(0, 0, 0, 0.8) 0px 5px 10px;
        }
        img {
            border-radius: 5px;
            box-shadow: rgba(0, 0, 0, 0.8) 0px 5px 10px;
        }
    }
    .slick {
        position: relative;
        .slick__slide {
            margin: 0 5px;
        }
        nav.slick__arrow {
            top: calc(50% - 45px);
            display: inline-flex;
            width: 100%;
            flex-direction: row;
            justify-content: space-between;
            margin: 5px 0 10px;
            position: absolute;
            pointer-events: none;
            height: 0;
            button.slick-arrow {
                padding: 5px 0;
                border-radius: 10px;
                border: none;
                color: rgb(255, 255, 255);
                background-color: transparent;
                height: 60px;
                font-size: 50px;
                line-height: 50px;
                transition: all 0.3s ease;
                pointer-events: none;
                opacity: 0;
                &:hover {
                    background-color: transparent;
                    color: #fff;
                }
            }
        }
        &:hover {
            nav.slick__arrow {
                button.slick-arrow {
                    opacity: 1;
                    pointer-events: all;
                    text-shadow: 0 0 10px black;
                    &.slick-prev {
                        transform: translateX(10px);
                    }
                    &.slick-next {
                        transform: translateX(-10px);
                    }
                }
            }
        }
        &:has(.slick__slider:not(.slick-slider)),
        &:has(.slick-list:not(.draggable)) {
            nav.slick__arrow {
                display: none;
            }
            .slick-slide .layout__region {
                padding: 0 5px;
                margin-bottom: 30px;
            }
        }
        &.slick--optionset--teaser-carousel-4-cutoff,
        &.slick--optionset--teaser-carousel-3-cutoff,
        &.slick--optionset--series-carousel-6-cutoff {
            .slick-slider {
                margin: 0 20px 0;
                .slick-list {
                    mask-image: linear-gradient(to right, white 90%, transparent);
                }
            }
        }
        &.slick--optionset--teaser-carousel-4-center {
            .slick-slider {
                margin: 0 20px 0;
                .slick-list {
                    mask-image: linear-gradient(to right,rgba(0,0,0,0) 0%,rgba(0,0,0,1) 5%,rgba(0,0,0,1) 95%,rgba(0,0,0,0) 100%);
                }
            }
        }
        &.slick--optionset--teaser-carousel-3-cutoff .slick-slider .slick-list .slick-track {
            left: -35px;
        }
        &.slick--optionset--teaser-carousel-4-cutoff .slick-slider .slick-list .slick-track {
            left: -25px;
        }
        &.slick--optionset--series-carousel-6-cutoff .slick-slider .slick-list .slick-track {
            left: -25px;
        }
    }
}

.four-wide-teaser-view.text-teasers {
    .slick {
        &.slick--optionset--teaser-carousel-4 {
            nav.slick__arrow {
                top: calc(50% - 75px);
            }
        }
    }
}

/* 3-wide specific styles */
.three-wide-teaser-view {
    .views-view-responsive-grid__item {
        max-width: 350px;
        &:not(:has(img)):before {
            height: 220px;
        }
    }
    .views-view-responsive-grid {
        gap: 20px;
        padding: 0 40px;
    }
    .node-taxonomy-container,
    .field--name-field-episode {
        font-size: 16px;
    }
    .field--name-field-subtitle {
        font-size: 18px;
    }
}
@media (max-width: 739px) {
    .three-wide-teaser-view {
        .views-view-responsive-grid__item {
            max-width: 100%;
            width: 100%;
        }
    }
}

/* 4-wide specific styles */
.four-wide-teaser-view {
    .views-view-responsive-grid__item {
        max-width: 265px;
        &:not(:has(img)):before {
            height: 149px;
        }
    }
    .views-view-responsive-grid {
        gap: 20px;
    }
    .node-taxonomy-container,
    .field--name-field-episode {
        font-size: 14px;
    }
    .field--name-field-subtitle {
        font-size: 16px;
    }
}
@media (max-width: 569px) {
    .four-wide-teaser-view {
        .views-view-responsive-grid__item {
            max-width: 100%;
            width: 100%;
        }
    }
}

/* uninitialized carousel styles */
.block:has(.slick:not(.slick--initialized)) {
    display: none;
    // // shows uninitialized carousels, but doesn't work with responsive design, only full width/widescreen
    // .slick__slider {
    //     display: flex;
    //     flex-wrap: wrap;
    //     margin-right: 0;
    //     overflow: hidden;
    // }
    // &.slick--optionset--teaser-carousel-3 {
    //     .slick__slider {
    //         height: 222.66px;
    //         .slick__slide .field--name-field-thumbnail img {
    //             width: 364px;
    //         }
    //     }
    // }
    // &.slick--optionset--teaser-carousel-3-cutoff {
    //     .slick__slider {
    //         height: 203.55px;
    //         .slick__slide .field--name-field-thumbnail img {
    //             width: 330px;
    //         }
    //     }
    // }
    // &.slick--optionset--teaser-carousel-4 {
    //     .slick__slider {
    //         height: 168.68px;
    //         .slick__slide .field--name-field-thumbnail img {
    //             width: 268px;
    //         }
    //     }
    // }
    // &.slick--optionset--teaser-carousel-4-cutoff {
    //     .slick__slider {
    //         height: 160.25px;
    //         .slick__slide .field--name-field-thumbnail img {
    //             width: 253px;
    //         }
    //     }
    // }
    // &.slick--optionset--teaser-carousel-4-center {
    //     .slick__slider {
    //         height: 154.63px;
    //         .slick__slide .field--name-field-thumbnail img {
    //             width: 243px;
    //         }
    //     }
    // }
    // &.slick--optionset--series-carousel-6 {
    //     .slick__slider {
    //         height: 247.33px;
    //         .slick__slide .field--name-field-series-portrait-image img {
    //             width: 172px;
    //         }
    //     }
    // }
    // &.slick--optionset--series-carousel-6-cutoff {
    //     .slick__slider {
    //         height: 234px;
    //         .slick__slide .field--name-field-series-portrait-image img {
    //             width: 162px;
    //         }
    //     }
    // }
}

/* full-page 3/4-wide teaser views */
body.inner-page .views-element-container:not(.block) {
    .views-exposed-form {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        gap: 10px;
        margin-bottom: 20px;
        .form-item, .form-actions {
            position: relative;
            bottom: 0;
            display: flex;
            flex-direction: column;
            justify-content: flex-end;
            align-items: flex-start;
            margin-bottom: 0;
            max-width: 100%;
            select {
                max-width: 100%;
            }
            input[type=text] {
                height: 33px;
                border-radius: 0;
            }
            input[type=submit] {
                border: 0;
                border-radius: 0;
                padding: 7px 15px;
                line-height: 1;
                font-size: 17px;
                font-weight: 500;
                text-transform: uppercase;
                background-color: var(--color-standard);
                color: #fff;
                &:hover {
                    background-color: var(--color-standard-dark);
                    color: #fff;
                }
            }
        }
        &[data-drupal-selector=views-exposed-form-search-page-1] {
            .form-item {
                flex-grow: 1;
                input[type=text] {
                    width: 100%;
                }
            }
        }
    }
    .three-wide-teaser-view,
    .four-wide-teaser-view {
        .views-view-responsive-grid {
            padding: 20px 0;
        }
    }
}

/* article teaser view mode */
.node--type-article.node--view-mode-teaser,
.node--type-article-link.node--view-mode-teaser,
.node--type-video.node--view-mode-teaser,
.node--type-article.node--view-mode-teaser-no-date,
.node--type-article-link.node--view-mode-teaser-no-date,
.node--type-video.node--view-mode-teaser-no-date {
    padding: 10px 0;
    .group-left {
        width: 250px;
    }
    .group-right {
        width: calc(100% - 250px);
        padding: 0 20px;
        .field--name-node-post-date {
            font-weight: bold;
            margin-bottom: 0.5rem;
        }
    }
}
@media (max-width: 767px) {
    .node--type-article.node--view-mode-teaser,
    .node--type-article-link.node--view-mode-teaser,
    .node--type-video.node--view-mode-teaser,
    .node--type-article.node--view-mode-teaser-no-date,
    .node--type-article-link.node--view-mode-teaser-no-date,
    .node--type-video.node--view-mode-teaser-no-date {
        .group-right {
            padding: 0 0 0 20px;
        }
    }
}

@media (max-width: 550px) {
    .node--type-article.node--view-mode-teaser,
    .node--type-article-link.node--view-mode-teaser,
    .node--type-video.node--view-mode-teaser,
    .node--type-article.node--view-mode-teaser-no-date,
    .node--type-article-link.node--view-mode-teaser-no-date,
    .node--type-video.node--view-mode-teaser-no-date {
        display: flex;
        flex-direction: column;
        margin-bottom: 20px;
        border-bottom: 1px solid lightgray;
        .group-left {
            width: 100%;
            img {
                width: 100%;
            }
        }
        .group-right {
            width: 100%;
            padding: 0;
        }
    }
}

/* article suggestion view mode */
.article-suggestion-title {
    margin-top: 25px;
    margin-bottom: 0;
}
.field.field--name-node-title:has(.article-suggestion-title) {
    margin-bottom: 5px;
}

/* responsive iframe for video */
.field--name-field-video > ul.taxonomy-terms {
    display: block;
}
.field--name-field-video .field.field--name-field-media-oembed-video,
.responsive-iframe-container {
    position: relative;
    padding-bottom: 56.25%;
    padding-top: 25px;
    height: 0;
}
.field--name-field-video .field.field--name-field-media-oembed-video > iframe,
.responsive-iframe-container > iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

/* hide page title for basic pages, forms, and scripted pages */
body.page-type-page h1.page-title,
body.page-type-form h1.page-title,
body.page-type-scripted-page h1.page-title
{
    display: none;
}

/* pdf viewer */
.field.field--name-field-pdf iframe.pdf {
    height: 1300px;
}
@media (max-width: 768px) {
    .field.field--name-field-pdf iframe.pdf {
        height: 650px;
    }
}

/* icons */
.mhc-iconbox {
    width: 100%;
    height: auto;
    margin: 0 auto;
    position: relative;
    overflow: auto;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}
.mhc-iconbox .mhc-icon {
    width: 235px;
    max-width: 80%;
    margin: auto;
    margin-top: 40px;
    padding-left: 10px;
    padding-right: 10px;
    margin-bottom: 40px;
    text-align: center;
    border-radius: 10px;
}
.mhc-iconbox a {
    font-weight: bold;
}
.mhc-iconbox h3 {
    font-size: 23px;
    line-height: 1.3;
    margin-top: 10px;
}
.mhc-iconbox .mhc-icon-2 {
    width: 425px;
    max-width: 80%;
    margin: auto;
    margin-top: 40px;
    padding-left: 20px;
    padding-right: 20px;
    margin-bottom: 40px;
    text-align: center;
    border-radius: 10px;
}
.mhc-iconbox .mhc-icon-1 {
    width: 1000px;
    max-width: 80%;
    margin: auto;
    margin-top: 40px;
    padding-left: 20px;
    padding-right: 20px;
    margin-bottom: 40px;
    text-align: center;
    border-radius: 10px;
}

/* tabs flex */
.tabs-flex-container {
    display: flex;
    flex-wrap: wrap;
}
.tabs-flex-section {
    width: 175px;
    text-align: center;
    margin: 20px auto;
    transition: all 1s ease;
    font-size: 15px;
    font-weight: bold;
}
.tabs-flex-section:hover {
    transform: scale(1.1);
    text-decoration: underline;
}
.tabs-flex-section img {
    width: 120px;
}

/* scrolltop button */
div.scrolltop:hover {
    background:  var(--color-standard-dark);
}

/* pager */
li.pager-item {
    border: 2px solid  var(--color-standard-dark);
    background-color: var(--color-standard-dark);
    height: 34px;
    min-width: 34px;
    border-radius: 0;
    color: #fff;
}
li.pager-item > a {
    height: 30px;
    min-width: 30px;
    font-size: 15px;
    color: #fff;
    background-color: var(--color-standard-dark);
}
li.pager-item.is-active,
li.pager-item:hover {
    border-color:  var(--color-standard);
}
li.pager-item.is-active > a,
li.pager-item > a:hover {
    background-color:  var(--color-standard);
    color: #fff !important;
    text-decoration: none !important;
}
li.pager-item.pager__item--previous a, 
li.pager-item.pager__item--first a, 
li.pager-item.pager__item--next a, 
li.pager-item.pager__item--last a {
    padding: 0 10px;
}
li.pager-item.pager__item--ellipsis {
    display: none;
}

/* tags */
.field--name-field-tags,
.field--name-field-series {
    .taxonomy-terms {
        .taxonomy-term {
            a {
                padding: 6px 8px;
                line-height: 1;
                color: #7d7d7d;
                background-color: #d2d2d2;
                border-radius: 2px;
                display: inline-block;
                margin: 3px 0 2px 0;
                font-size: 15px;
                &:hover {
                    background: var(--color-standard);
                    color: #fff;
                }
            }
        }
    }
}
.node-taxonomy-container.field--name-field-series {
    border-top: none;
    margin-top: -10px;
    padding-top: 0;
}

/* accordion */
.ui-accordion .ui-accordion-header.ui-state-active {
    background-color:  var(--color-standard);
    border: 1px solid  var(--color-standard);
}

/* tables */
table thead tr th {
    background: var(--color-standard);
}

/* sidebar menu */
.region-sidebar-first li.menu-item.menu-item-level-1.menu-item-has-children {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    border-bottom: none;
    padding-bottom: 0;
}
.region-sidebar-first li.menu-item.menu-item-level-1.menu-item-has-children a {
    padding: 6px 0;
    border-bottom: 2px solid var(--border);
    display: block;
    width: 100%;
}
.region-sidebar-first li.menu-item.menu-item-level-1.menu-item-has-children ul.submenu {
    width: 100%;
    transition: none !important;
    transform: none !important;
    opacity: 1 !important;
}
.region-sidebar-first li.menu-item.menu-item-level-1.menu-item-has-children ul.submenu li {
    border-bottom: 0;
    margin-left: 20px;
    display: block;
}

/* sidebar full-width styles */
@media (min-width: 768px) {
    .two-sidebar .main-container {
        width: calc(100% - 2rem);
    }
    .sidebar-left .main-container, 
    .sidebar-right .main-container {
        width: calc(100% - 1rem);
    }
}

/* api forms */
.mhc-embedded-form ul.big-radio li {
    padding: 0;
}
.mhc-embedded-form .check-div .regular-checkbox.big-checkbox:checked + label:after {
    top: -5px;
    left: 2px;
}
.mhc-embedded-form #billing-section ul.big-radio {
    margin-top: 10px;
}
.mhc-embedded-form #billing-section .flex-form-container .flex-form-section {
    margin-top: 0 !important;
}
.mhc-embedded-form #billing-section .flex-form-container .flex-form-section > label {
    font-size: 15px;
}
.mhc-embedded-form button[type='button']:not(:disabled),
.mhc-embedded-form .check-div .regular-checkbox:checked+label,
.mhc-embedded-form .big-radio input[type="radio"]:checked+label,
.mhc-embedded-form .Checked+label {
    background-color: var(--color-standard) !important;
}
.mhc-embedded-form .spinning-loader {
    border-top: 20px solid var(--color-standard) !important;
}
.mhc-embedded-form button[type='button']:hover:not(:disabled),
.mhc-embedded-form button[type='button']:active:not(:disabled) {
    background-color: var(--color-standard-dark) !important;
}

/* social icons */
.social-icons {
    i {
        &:before {  
            font-family: 'FontAwesome' !important;
        }
        &.icon-marianplus:before {
            content: "\f007";
        }
        &.icon-facebook:before {
            content: "\f09a";
        }
        &.icon-instagram:before {
            content: "\f16d";
        }
        &.icon-youtube:before {
            content: "\f167";
        }
        &.icon-tiktok:before {
            content: "\e07b";
        }
        // &.icon-twitter:before {
        //     content: "\e026";
        // }
        // &.icon-linkedin:before {
        //     content: "\e028";
        // }
        // &.icon-vimeo:before {
        //     content: "\e02a";
        // }
    }
}
.header-top .social-icons {
    &.marian-sites-icons li a {
        background-position: center;
        background-repeat: no-repeat;
        background-size: 1.7rem;

        &:hover {
            background-color: #ffffff;
            background-size: 2.1rem !important;
        }

        &.tab-icon-marian {
            background-image: url(https://images.marianweb.net/archives/images/our-sites/marian.png);
        }

        &.tab-icon-tdm {
            background-image: url(https://images.marianweb.net/archives/images/our-sites/tdm.png);
            /* background-size: 2.1rem */
        }

        &.tab-icon-shrine {
            background-image: url(https://images.marianweb.net/archives/images/our-sites/shrine.png);
            /* background-size: 2.0rem */
        }

        &.tab-icon-dmplus {
            background-image: url(https://images.marianweb.net/archives/images/our-sites/dmplus.png);
        }

        &.tab-icon-shopmercy {
            background-image: url(https://images.marianweb.net/archives/images/our-sites/sm.png);
        }
    }

    li a {
        color: var(--color-standard);

        &:hover {
            background-color: var(--color-standard);
        }
    }
}

/* image panels */
.paneled-image-container {
    width: 1170px;
    max-width: 100%;
    margin: auto;
    padding: 40px;
    display: flex;
}
.paneled-image {
    margin: 0 auto;
    position: relative;
    width: 100%;
}
.paneled-image .panel-image {
    position: relative;
}
.paneled-image.pull-right .panel-image {
    float: left;
	padding-right: 45px;
}
.paneled-image.pull-left .panel-image {
    float: right;
	padding-left: 45px;
}
.paneled-image .panel {
    position: absolute;
    top: 50%;
    -webkit-transform: translateY(-50%);
    transform: translateY(-50%);
    border-radius: 0.25rem;
    -webkit-box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.15);
    box-shadow: 0 1px 2px 0 rgb(0 0 0 / 45%);
    padding: 1.5rem;
    background-color: #eee;
    font-size: 14px;
}
.paneled-image.pull-right .panel {
    max-width: 350px;
    right: 0;
}
.paneled-image.pull-left .panel {
    max-width: 350px;
    left: 0;
}
.paneled-image .panel .button {
    background-color: var(--color-standard);
    color: #fff;
    text-transform: uppercase;
    width: 100%;
    -webkit-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
    display: inline-block;
    font-family: "Avenir Next W01 Light", "Helvetica Neue Light", "Helvetica Neue", "Helvetica", "Arial", sans-serif;
    font-size: 16px;
    letter-spacing: 0.04rem;
    max-width: 100%;
    padding: 0.6875rem 0.75rem;
    position: relative;
    text-align: center;
    font-weight: 500;
    margin-top: 10px;
    border-radius: 0;
    border: none;
}
.paneled-image .panel h3 {
    font-size: 24px;
}
.paneled-image .panel .button:hover {
    background-color: #fff;
    color: var(--color-standard);
    text-decoration: none;
}
.block.image-panel-block {
    margin: 50px auto;
}
@media (max-width: 750px) {
	.paneled-image-container {
		padding: 20px 40px 0;
	}
	.paneled-image-container .paneled-image {
		box-shadow: 0 1px 2px 0 rgb(0 0 0 / 45%);
		-webkit-box-shadow: 0 1px 2px 0 rgba(0,0,0,0.15);
		float: none !important;
	}
	.paneled-image-container .paneled-image .panel {
		display: block;
		top: unset;
		right: unset;
		position: unset;
		width: 100%;
		max-width: 100%;
		float: none;
		box-shadow: none;
		-webkit-box-shadow: none;
		border-radius: 0;
		transform: none;
		-webkit-transform: unset;
	}
	.paneled-image-container .paneled-image .panel-image {
		display: block;
		position: unset;
		float: none;
		padding: 0;
		width: 100%;
	}
	.block.image-panel-block {
		margin: 0 auto;
	}
}

/* cookie consent pop-up */
#klaro, div[data-type="placeholder"] {
    .klaro {
        .cookie-modal, .context-notice, .cookie-notice {
            .cm-btn,
            .cm-btn.cm-btn-info,
            .cm-btn.cm-btn-success,
            .cm-btn.cm-btn-decline,
            .cm-btn.cm-btn-danger {
                border: var(--color-standard);
                background-color: var(--color-standard);
                &:hover {
                    border: var(--color-standard-dark);
                    background-color: var(--color-standard-dark);
                    color: #fff;
                }
            }
            &:focus {
                outline: none;
                box-shadow: 0 4px 6px 0 rgba(0,0,0,.2),5px 5px 10px 0 rgba(0,0,0,.19);
            }
        }

        .context-notice {
            height: auto;
            .cm-btn {
                margin: 5px auto 0;
            }
        }

        .cookie-modal {
            .cm-list-input:checked + .cm-list-label .slider,
            .cm-list-input.half-checked + .cm-list-label .slider {
                background-color: var(--color-standard);
            }
            .cm-modal .cm-footer .cm-powered-by {
                display: none;
            }
        }
    }
}

/* Entity pager */
.view-series-pager {
    li.entity-pager-item.entity-pager-item-count:before {
        content: "Episode";
        display: inline-block;
    }
}

/* search result styles */
.node.node--view-mode-search-result {
    display: flex;
    flex-direction: row;
    margin-bottom: 40px;
    .group-header {
        width: 100%;
        margin: 0;
    }
    .group-left {
        width: 320px;
        max-width: 50%;
        float: none;
        margin: 0;
        img {
            margin: 0;
        }
        .node-taxonomy-container, .node-links-container {
            margin: 0;
            padding: 0;
        }
    }
    .group-right {
        float: none;
        padding: 0 25px 20px;
        background: var(--color-gray-background);
        width: calc(100% - 320px);
        .field--name-node-title h3 {
            font-size: 23px;
            line-height: normal;
            overflow: hidden;
            display: -webkit-box;
            -webkit-line-clamp: 1;
            -webkit-box-orient: vertical;
            margin-top: 15px;
        }
        .field--name-body {
            font-size: 16px;
            color: var(--color-text-standard);
            padding: 0;
            overflow: hidden;
            display: -webkit-box;
            -webkit-line-clamp: 3;
            -webkit-box-orient: vertical;
            p {
                padding: 0;
            }
        }
    }
    &:not(:has(.group-left)) {
        .group-right {
            width: 100%;
        }
    }
}
/* mobile styles */
@media (max-width: 650px) {
    .node.node--view-mode-search-result {
        flex-wrap: wrap;
        .group-left, .group-left img {
            max-width: 100%;
            width: 100% !important;
        }
        .group-right {
            width: 100%;
            .field--name-body,
            .field--name-field-description {
                display: block;
                overflow: auto;
                -webkit-line-clamp: unset;
                -webkit-box-orient: unset;
            }
            .field--name-node-title h3 {
                display: block;
                overflow: auto;
                -webkit-line-clamp: unset;
                -webkit-box-orient: unset;
                margin-top: 20px;
            }
        }
    }
}
/* audio nodes in search results */
.node.node--view-mode-search-result.node-audio {
    flex-direction: column;
    background: #2f343d;
    padding: 0 25px 20px;
}

/* hide private content */
.node.node--view-mode-search-result:has(span.private-content-span) {
    display: none;
}

/* full-page search form */
.full-page-search .search-box {
    input[type=submit] {
        background-color: var(--color-standard);
    }
}

/* override default buttons */
.dialog-off-canvas-main-canvas {
    input[type=submit], input[type=button], input[type=reset], button, .button {
        background-color: var(--color-standard);
        color: #fff;
        border: none;
        border-radius: 5px;
        &:hover, 
        &:active,
        &:focus {
            background-color: var(--color-standard-dark);
            color: #fff;
            border: none;
        }
    }
}

/* maintenance page */
.header-maintenance, .maintenance-icon { 
    display:none; 
}

/* image gallery */
.field.field--name-field-image-gallery.field--type-image.field-items {
    display: flex;
    flex-wrap: wrap;
    .field-item {
        margin-right: 5px;
        width: 100px;
        max-height: 100px;
        overflow: hidden;
    }
}

/* fixing wysiwyg-aligned images in mobile */
@media (max-width: 500px) {
    .align-left, img.align-left, figure.align-left, .align-right, img.align-right, figure.align-right, .align-center, img.align-center, figure.align-center {
        display: block;
        margin-bottom: 20px !important;
    }
}

/* sidebar menu blocks */
.block-region.region-sidebar-first {
    gap: 0;
    margin-top: 20px;
    nav.block.block-menu {
        box-shadow: none;
        padding-top: 0;
        padding-bottom: 0;
        li:last-child {
            border-bottom: 2px solid var(--border);
        }
    }
    div.block:not(.block.block-menu) {
        margin: 25px 0;
    }
}

/* full-page article styles */
body.page-type-article {
    .field.field--name-node-post-date.field--type-ds.field--label-hidden.field-item {
        font-style: italic;
        font-weight: 500;
        margin-top: -15px;
    }
}